From 19bb909945fb574707abcf329bb45aafd22008c0 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Fri, 15 May 2026 12:57:33 +0000
Subject: [PATCH] libmd: upgrade 1.1.0 -> 1.2.0

---
 .../libmd/{libmd_1.1.0.bb => libmd_1.2.0.bb}  | 105 +++++++++++++++++-
 1 file changed, 103 insertions(+), 2 deletions(-)
 rename meta/recipes-support/libmd/{libmd_1.1.0.bb => libmd_1.2.0.bb} (17%)

diff --git a/meta/recipes-support/libmd/libmd_1.1.0.bb b/meta/recipes-support/libmd/libmd_1.2.0.bb
similarity index 17%
rename from meta/recipes-support/libmd/libmd_1.1.0.bb
rename to meta/recipes-support/libmd/libmd_1.2.0.bb
index ffc59deb26..4bb0e198ce 100644
--- a/meta/recipes-support/libmd/libmd_1.1.0.bb
+++ b/meta/recipes-support/libmd/libmd_1.2.0.bb
@@ -1,3 +1,104 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -3,7 +3,7 @@
+#  Files:
+#   *
+#  Copyright:
+# - Copyright © 2009, 2011, 2016 Guillem Jover <guillem@hadrons.org>
+# + 2009-2026 Guillem Jover <guillem@hadrons.org>
+#  License: BSD-3-clause
+#   Redistribution and use in source and binary forms, with or without
+#   modification, are permitted provided that the following conditions
+# @@ -31,8 +31,7 @@
+#   include/sha2.h
+#   src/sha2.c
+#  Copyright:
+# - Copyright © 2000-2001, Aaron D. Gifford
+# - All rights reserved.
+# + 2000-2001 Aaron D. Gifford
+#  License: BSD-3-clause-Aaron-D-Gifford
+#   Redistribution and use in source and binary forms, with or without
+#   modification, are permitted provided that the following conditions
+# @@ -62,7 +61,7 @@
+#   include/rmd160.h
+#   src/rmd160.c
+#  Copyright:
+# - Copyright © 2001 Markus Friedl.  All rights reserved.
+# + 2001 Markus Friedl
+#  License: BSD-2-clause
+#   Redistribution and use in source and binary forms, with or without
+#   modification, are permitted provided that the following conditions
+# @@ -85,12 +84,46 @@
+#   THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#  
+#  Files:
+# + include/sha3.h
+# + man/SHA3_Selftest.3
+# + man/sha3.3
+# + man/shake.3
+# + src/keccak.c
+# + src/keccak.h
+# + src/local-endian.h
+# + src/sha3.c
+# +Copyright:
+# + Copyright © 2002 Thomas Moestl <tmm@FreeBSD.org>
+# + Copyright © 2011 Guillem Jover <guillem@hadrons.org>
+# + Copyright © 2015 Taylor R. Campbell
+# +License: BSD-2-clause-contributors
+# + Redistribution and use in source and binary forms, with or without
+# + modification, are permitted provided that the following conditions
+# + are met:
+# + 1. Redistributions of source code must retain the above copyright
+# +    notice, this list of conditions and the following disclaimer.
+# + 2. Redistributions in binary form must reproduce the above copyright
+# +    notice, this list of conditions and the following disclaimer in the
+# +    documentation and/or other materials provided with the distribution.
+# + .
+# + THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# + ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# + IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# + ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# + FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# + DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# + OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# + HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# + LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# + OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# + SUCH DAMAGE.
+# +
+# +Files:
+#   src/md2.c
+#  Copyright:
+# - Copyright (c) 2001 The NetBSD Foundation, Inc.
+# - All rights reserved.
+# - .
+# - This code is derived from software contributed to The NetBSD Foundation
+# + 2001 The NetBSD Foundation, Inc.
+# +Comment:
+# + Some code is derived from software contributed to The NetBSD Foundation
+#   by Andrew Brown.
+#  License: BSD-2-clause-NetBSD
+#   Redistribution and use in source and binary forms, with or without
+# @@ -119,7 +152,7 @@
+#   man/sha1.3
+#   man/sha2.3
+#  Copyright:
+# - Copyright © 1997, 2003, 2004 Todd C. Miller <Todd.Miller@courtesan.com>
+# + 1997, 2003, 2004 Todd C. Miller <Todd.Miller@courtesan.com>
+#  License: ISC
+#   Permission to use, copy, modify, and distribute this software for any
+#   purpose with or without fee is hereby granted, provided that the above
+# 
+#
+
 SUMMARY = "Message Digest functions from BSD systems"
 DESCRIPTION = "This library provides message digest functions \
 found on BSD systems either on their libc (NetBSD, OpenBSD) or \
@@ -6,12 +107,12 @@ lacking on others like GNU systems."
 HOMEPAGE = "https://www.hadrons.org/software/libmd/"
 
 LICENSE = "BSD-3-Clause & BSD-2-Clause"
-LIC_FILES_CHKSUM = "file://COPYING;md5=0436d4fb62a71f661d6e8b7812f9e1df"
+LIC_FILES_CHKSUM = "file://COPYING;md5=261bf22602270e2b29c53930d409a3ca"
 
 SRC_URI = "https://archive.hadrons.org/software/libmd/libmd-${PV}.tar.xz \
 	   file://run-ptest \
 "
-SRC_URI[sha256sum] = "1bd6aa42275313af3141c7cf2e5b964e8b1fd488025caf2f971f43b00776b332"
+SRC_URI[sha256sum] = "ac15ffb8430502fbaccdec66c5a82ee0eab0b0f36220df56710feadfeb13d0a0"
 
 inherit autotools ptest
 
-- 
2.47.1

